.bx-main-cookie-policy-sidebar {
  --scroll-shift: var(--scroll-shift-width, 0);
  position: fixed;
  width: 100%;
  left: 0;
  bottom: 0;
  padding-right: var(--scroll-shift);
  background-color: #ffffff;
  box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.1);
  z-index: 10200;
  box-sizing: border-box;
}
.bx-main-cookie-policy-sidebar * {
  box-sizing: border-box;
}
.bx-main-cookie-policy-sidebar:not([shown=true]) {
  display: none;
}
.bx-main-cookie-policy-sidebar:not([data-bx-cookie-policy-initialized]) {
  display: block;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 15px 20px;
  max-width: 1200px;
  margin: 0 auto;
  padding: 15px;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__introduce {
  font-size: 0.875rem;
  line-height: 1.5;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__controller {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__control {
  position: relative;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__button {
  --bt-color: #ffffff;
  --bt-bg-color: #19aef9;
  --bt-br-color: transparent;
  display: inline-flex;
  padding: 12px 24px;
  background-color: var(--bt-bg-color);
  border: 1px solid var(--bt-br-color);
  border-radius: 0.875rem;
  color: var(--bt-color);
  font-size: 1rem;
  font-weight: 500;
  line-height: 1;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
  cursor: pointer;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__button:hover {
  --bt-bg-color: #0091da;
  color: var(--bt-color);
  background-color: var(--bt-bg-color);
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__button_type_border {
  --bt-color: #525c69;
  --bt-bg-color: transparent;
  --bt-br-color: #c6cdd3;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__button_type_border:hover {
  --bt-bg-color: #cfd4d8;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__close {
  display: block;
  width: 20px;
  height: 20px;
  cursor: pointer;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__close:before, .bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__close:after {
  content: "";
  display: block;
  position: absolute;
  width: 24px;
  height: 3px;
  top: 50%;
  left: 50%;
  background-color: #cad0de;
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__close:before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__close:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
@media (min-width: 768px) {
  .bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__controller {
    flex-wrap: nowrap;
  }
}
@media (min-width: 1100px) {
  .bx-main-cookie-policy-sidebar .bx-main-cookie-policy-sidebar__content {
    flex-direction: row;
  }
}

.bx-main-cookie-policy-redirect {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 12;
  box-sizing: border-box;
}
.bx-main-cookie-policy-redirect * {
  box-sizing: border-box;
}
.bx-main-cookie-policy-redirect:not([shown=true]) {
  display: none;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__popup {
  position: absolute;
  width: 90%;
  max-width: 500px;
  max-height: 70%;
  top: 50%;
  left: 50%;
  padding: 42px;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.1);
  transform: translate(-50%, -50%);
  overflow-x: hidden;
  overflow-y: auto;
  z-index: 2;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__logo svg {
  display: block;
  max-width: 100%;
  height: auto;
  margin: 0 auto;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__introduce, .bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__epilogue {
  margin-top: 15px;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__introduce, .bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__epilogue {
  font-size: 0.875rem;
  line-height: 1.5;
  text-align: center;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__controller {
  display: flex;
  align-items: baseline;
  justify-content: center;
  flex-wrap: wrap;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__control {
  margin: 15px 15px 0;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_link {
  position: relative;
  display: inline-block;
  color: #0091da;
  font-size: 1rem;
  font-weight: 500;
  line-height: 1;
  cursor: pointer;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_link:after {
  content: "";
  position: absolute;
  display: block;
  width: 100%;
  top: calc(100% + 2px);
  border-bottom: 1px solid #0091da;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_link:dir(ltr):after {
  left: 0;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_link:dir(rtl):after {
  right: 0;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_default {
  display: inline-flex;
  padding: 14px 24px;
  background-color: #bdf300;
  border-radius: 0.875rem;
  color: #525c69;
  font-size: 1rem;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  text-decoration: none;
  white-space: nowrap;
  cursor: pointer;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__button_default:hover {
  opacity: 0.75;
}
.bx-main-cookie-policy-redirect .bx-main-cookie-policy-redirect__overflow {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

.bx-main-cookie-policy-settings {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 10201;
  box-sizing: border-box;
}
.bx-main-cookie-policy-settings * {
  box-sizing: border-box;
}
.bx-main-cookie-policy-settings *::-webkit-scrollbar-track {
  width: 11px;
}
.bx-main-cookie-policy-settings *::-webkit-scrollbar {
  width: 6px;
  background-color: rgba(108, 117, 125, 0.01);
  border-radius: 6px;
}
.bx-main-cookie-policy-settings *::-webkit-scrollbar:horizontal {
  height: 6px;
}
.bx-main-cookie-policy-settings *::-webkit-scrollbar-thumb {
  background-color: rgba(108, 117, 125, 0.1);
  border-radius: 6px;
}
.bx-main-cookie-policy-settings:not([shown=true]) {
  display: none;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__popup {
  position: absolute;
  width: 90%;
  max-width: 800px;
  max-height: 70%;
  top: 50%;
  left: 50%;
  background-color: #ffffff;
  border-radius: 24px;
  box-shadow: 0 0 24px 0 rgba(0, 0, 0, 0.1);
  transform: translate(-50%, -50%);
  overflow-x: hidden;
  overflow-y: auto;
  z-index: 2;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__popup:dir(ltr) {
  padding: 42px 10px 42px 42px;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__popup:dir(rtl) {
  padding: 42px 42px 42px 10px;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__close {
  position: absolute;
  width: 20px;
  height: 20px;
  top: 26px;
  right: 26px;
  cursor: pointer;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__close:before, .bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__close:after {
  content: "";
  display: block;
  position: absolute;
  width: 24px;
  height: 3px;
  top: 50%;
  left: 50%;
  background-color: #cad0de;
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__close:before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__close:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__overflow {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
}
@media (min-width: 768px) {
  .bx-main-cookie-policy-settings .bx-main-cookie-policy-settings__popup {
    padding: 42px;
  }
}

.bx-main-cookie-policy {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  right: 0;
  z-index: 12;
}
.bx-main-cookie-policy.bx-main-cookie-policy_redirect-popup, .bx-main-cookie-policy.bx-main-cookie-policy_cookie-settings-popup {
  top: 0;
}
.bx-main-cookie-policy.bx-main-cookie-policy_slide-bar:not([data-bx-cookie-policy-initialized]) {
  display: block;
  opacity: 1;
}
.bx-main-cookie-policy .bx-main-cookie-policy__slide-bar:not([data-bx-cookie-policy-initialized]) {
  opacity: 1;
}
.bx-main-cookie-policy__slide {
  height: auto;
}
.bx-main-cookie-policy__slide_bottom {
  bottom: 0;
}
.bx-main-cookie-policy[shown=true] {
  display: block;
}
.bx-main-cookie-policy[shown=true] .bx-main-cookie-policy__popup, .bx-main-cookie-policy[shown=true] .bx-main-cookie-policy__slide-bar {
  opacity: 1;
}

.bx-main-cookie-policy[shown=true] .bx-main-cookie-policy__overflow {
  display: block;
}

.bx-main-cookie-policy .bx-main-cookie-policy-button.bx-main-cookie-policy-button_link {
  color: #19aef9;
  font-size: 1rem;
  font-weight: 500;
  line-height: 1;
  text-decoration: underline;
  cursor: pointer;
}
.bx-main-cookie-policy .bx-main-cookie-policy-button.bx-main-cookie-policy-button_link:hover {
  color: #0091da;
}
.bx-main-cookie-policy .bx-main-cookie-policy-button.bx-main-cookie-policy-button_normal {
  text-transform: none;
}
.bx-main-cookie-policy__popup {
  position: absolute;
  width: 100%;
  max-width: 500px;
  max-height: 70%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 160ms all linear;
  opacity: 0;
  overflow-x: hidden;
  overflow-y: auto;
  z-index: 12;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__container {
  padding: 35px;
  background-color: #ffffff;
  border-radius: 5px;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__logotype {
  display: block;
  margin: auto;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__introduce,
.bx-main-cookie-policy__popup .bx-main-cookie-policy__epilogue {
  font-size: 0.875rem;
  line-height: 1.5;
  text-align: center;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__introduce,
.bx-main-cookie-policy__popup .bx-main-cookie-policy__controller,
.bx-main-cookie-policy__popup .bx-main-cookie-policy__epilogue {
  margin-top: 15px;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__introduce {
  font-weight: 500;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__controller {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__controller.bx-main-cookie-policy__controller_center {
  justify-content: center;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__button {
  margin: 5px;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__controller.bx-main-cookie-policy__controller_center .bx-main-cookie-policy__button {
  margin: 5px 10px;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__epilogue {
  font-weight: 400;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__close {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 10px;
  right: 10px;
  background: transparent;
  transition: 160ms all linear;
  cursor: pointer;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__close:before, .bx-main-cookie-policy__popup .bx-main-cookie-policy__close:after {
  content: "";
  display: block;
  position: absolute;
  width: 24px;
  height: 1px;
  top: 50%;
  left: 50%;
  background-color: #707880;
  transition: 160ms all linear;
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__close:before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.bx-main-cookie-policy__popup .bx-main-cookie-policy__close:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.bx-main-cookie-policy__popup_settings {
  max-width: 800px;
}
.bx-main-cookie-policy__slide-bar {
  position: absolute;
  width: 100%;
  bottom: 0;
  background-color: #ffffff;
  box-shadow: 0 0 15px 0 #6c757d;
  transition: 160ms all linear;
  opacity: 0;
  z-index: 12;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 1140px;
  margin: 0 auto;
  padding: 15px;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__introduce {
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.5;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__controller {
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__button {
  position: relative;
  margin: 5px 10px;
  white-space: nowrap;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__close {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 50%;
  background: transparent;
  transition: 160ms all linear;
  transform: translateY(-50%);
  cursor: pointer;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__close:before, .bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__close:after {
  content: "";
  display: block;
  position: absolute;
  width: 24px;
  height: 1px;
  top: 50%;
  left: 50%;
  background-color: #707880;
  transition: 160ms all linear;
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__close:before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__close:after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.bx-main-cookie-policy__overflow {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  left: 0;
  right: 0;
  z-index: 11;
}

.bx-main-cookie-policy-settings-notice {
  position: fixed;
  display: none;
  align-items: center;
  gap: 6px;
  bottom: 20px;
  left: 20px;
  width: 27px;
  height: 27px;
  padding: 0 4px 0 6px;
  background-color: #03c1fe;
  border-radius: 14px;
  box-sizing: border-box;
  transition: width 0.2s linear;
  overflow: hidden;
  cursor: pointer;
  z-index: 10199;
}
.bx-main-cookie-policy-settings-notice:has(~ .bx-main-cookie-policy-sidebar:not([shown])) {
  display: flex;
}

.bx-main-cookie-policy-settings-notice:hover {
  width: auto;
}
.bx-main-cookie-policy-settings-notice .bx-main-cookie-policy-settings-notice__svg {
  flex: 1 0 15px;
}
.bx-main-cookie-policy-settings-notice .bx-main-cookie-policy-settings-notice__svg svg {
  display: block;
}
.bx-main-cookie-policy-settings-notice:not(:hover) .bx-main-cookie-policy-settings-notice__message {
  display: none;
}
.bx-main-cookie-policy-settings-notice .bx-main-cookie-policy-settings-notice__message {
  color: #fff;
  font-size: 14px;
  line-height: 1;
}

@media (max-width: 768px) {
  .bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__container {
    flex-direction: column;
  }
  .bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__introduce {
    margin-bottom: 15px;
  }
  .bx-main-cookie-policy__slide-bar .bx-main-cookie-policy__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 1140px;
    margin: 0 auto;
    padding: 25px 15px;
  }
}
